package com.qmth.themis.business.domain;

import java.io.Serializable;

/**
 * @Description: mq配置
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/1
 */
public class MqConfigDomain implements Serializable {

    private String server;
    private String sessionTopic;
    private String sessionConsumerGroup;
    //    private String sessionConsumerGroupDlq;
//    private String sessionTopicDlq;
    /**
     * taskTopicExamStudentTag
     * session topic
     */
    private String sessionTopicWebTag;
    private String sessionTopicWxappMonitorTag;
    private String sessionTopicWxappAnswerTag;
    private String sessionTopicPcTag;
    private String sessionConsumerWebGroup;
    private String sessionConsumerWxappMonitorGroup;
    private String sessionConsumerWxappAnswerGroup;
    private String sessionConsumerPcGroup;

    /**
     * user topic
     */
    private String userLogTopic;
    private String userLogConsumerGroup;
    private String userLogTopicUserTag;
    private String userLogConsumerUserGroup;
    private String userLogTopicStudentTag;
    private String userLogConsumerStudentGroup;

    /**
     * task group
     */
    private String taskTopic;
    private String taskConsumerGroup;
    private String taskTopicExamStudentImportTag;
    private String taskConsumerExamStudentImportGroup;
    private String taskTopicRoomCodeImportTag;
    private String taskConsumerRoomCodeImportGroup;
    private String taskTopicRoomCodeExportTag;
    private String taskConsumerRoomCodeExportGroup;
    
    private String taskTopicExamPaperImportTag;
    private String taskConsumerExamPaperImportGroup;

    public String getTaskTopicRoomCodeExportTag() {
        return taskTopicRoomCodeExportTag;
    }

    public void setTaskTopicRoomCodeExportTag(String taskTopicRoomCodeExportTag) {
        this.taskTopicRoomCodeExportTag = taskTopicRoomCodeExportTag;
    }

    public String getTaskConsumerRoomCodeExportGroup() {
        return taskConsumerRoomCodeExportGroup;
    }

    public void setTaskConsumerRoomCodeExportGroup(String taskConsumerRoomCodeExportGroup) {
        this.taskConsumerRoomCodeExportGroup = taskConsumerRoomCodeExportGroup;
    }

    public String getTaskTopicExamStudentImportTag() {
        return taskTopicExamStudentImportTag;
    }

    public void setTaskTopicExamStudentImportTag(String taskTopicExamStudentImportTag) {
        this.taskTopicExamStudentImportTag = taskTopicExamStudentImportTag;
    }

    public String getTaskConsumerExamStudentImportGroup() {
        return taskConsumerExamStudentImportGroup;
    }

    public void setTaskConsumerExamStudentImportGroup(String taskConsumerExamStudentImportGroup) {
        this.taskConsumerExamStudentImportGroup = taskConsumerExamStudentImportGroup;
    }

    public String getTaskTopicRoomCodeImportTag() {
        return taskTopicRoomCodeImportTag;
    }

    public void setTaskTopicRoomCodeImportTag(String taskTopicRoomCodeImportTag) {
        this.taskTopicRoomCodeImportTag = taskTopicRoomCodeImportTag;
    }

    public String getTaskConsumerRoomCodeImportGroup() {
        return taskConsumerRoomCodeImportGroup;
    }

    public void setTaskConsumerRoomCodeImportGroup(String taskConsumerRoomCodeImportGroup) {
        this.taskConsumerRoomCodeImportGroup = taskConsumerRoomCodeImportGroup;
    }

    public String getTaskTopic() {
        return taskTopic;
    }

    public void setTaskTopic(String taskTopic) {
        this.taskTopic = taskTopic;
    }

    public String getTaskConsumerGroup() {
        return taskConsumerGroup;
    }

    public void setTaskConsumerGroup(String taskConsumerGroup) {
        this.taskConsumerGroup = taskConsumerGroup;
    }

    public String getSessionTopicWxappAnswerTag() {
        return sessionTopicWxappAnswerTag;
    }

    public void setSessionTopicWxappAnswerTag(String sessionTopicWxappAnswerTag) {
        this.sessionTopicWxappAnswerTag = sessionTopicWxappAnswerTag;
    }

    public String getSessionTopicWxappMonitorTag() {
        return sessionTopicWxappMonitorTag;
    }

    public void setSessionTopicWxappMonitorTag(String sessionTopicWxappMonitorTag) {
        this.sessionTopicWxappMonitorTag = sessionTopicWxappMonitorTag;
    }

    public String getSessionConsumerWxappMonitorGroup() {
        return sessionConsumerWxappMonitorGroup;
    }

    public void setSessionConsumerWxappMonitorGroup(String sessionConsumerWxappMonitorGroup) {
        this.sessionConsumerWxappMonitorGroup = sessionConsumerWxappMonitorGroup;
    }

    public String getSessionConsumerWxappAnswerGroup() {
        return sessionConsumerWxappAnswerGroup;
    }

    public void setSessionConsumerWxappAnswerGroup(String sessionConsumerWxappAnswerGroup) {
        this.sessionConsumerWxappAnswerGroup = sessionConsumerWxappAnswerGroup;
    }

    public String getSessionTopic() {
        return sessionTopic;
    }

    public void setSessionTopic(String sessionTopic) {
        this.sessionTopic = sessionTopic;
    }

    public String getSessionConsumerGroup() {
        return sessionConsumerGroup;
    }

    public void setSessionConsumerGroup(String sessionConsumerGroup) {
        this.sessionConsumerGroup = sessionConsumerGroup;
    }

//    public String getSessionConsumerGroupDlq() {
//        return sessionConsumerGroupDlq;
//    }
//
//    public void setSessionConsumerGroupDlq(String sessionConsumerGroupDlq) {
//        this.sessionConsumerGroupDlq = sessionConsumerGroupDlq;
//    }
//
//    public String getSessionTopicDlq() {
//        return sessionTopicDlq;
//    }
//
//    public void setSessionTopicDlq(String sessionTopicDlq) {
//        this.sessionTopicDlq = sessionTopicDlq;
//    }

    public String getSessionTopicWebTag() {
        return sessionTopicWebTag;
    }

    public void setSessionTopicWebTag(String sessionTopicWebTag) {
        this.sessionTopicWebTag = sessionTopicWebTag;
    }


    public String getSessionTopicPcTag() {
        return sessionTopicPcTag;
    }

    public void setSessionTopicPcTag(String sessionTopicPcTag) {
        this.sessionTopicPcTag = sessionTopicPcTag;
    }

    public String getSessionConsumerWebGroup() {
        return sessionConsumerWebGroup;
    }

    public void setSessionConsumerWebGroup(String sessionConsumerWebGroup) {
        this.sessionConsumerWebGroup = sessionConsumerWebGroup;
    }

    public String getSessionConsumerPcGroup() {
        return sessionConsumerPcGroup;
    }

    public void setSessionConsumerPcGroup(String sessionConsumerPcGroup) {
        this.sessionConsumerPcGroup = sessionConsumerPcGroup;
    }

    public String getServer() {
        return server;
    }

    public void setServer(String server) {
        this.server = server;
    }

    public String getUserLogTopic() {
        return userLogTopic;
    }

    public void setUserLogTopic(String userLogTopic) {
        this.userLogTopic = userLogTopic;
    }

    public String getUserLogConsumerGroup() {
        return userLogConsumerGroup;
    }

    public void setUserLogConsumerGroup(String userLogConsumerGroup) {
        this.userLogConsumerGroup = userLogConsumerGroup;
    }

    public String getUserLogTopicUserTag() {
        return userLogTopicUserTag;
    }

    public void setUserLogTopicUserTag(String userLogTopicUserTag) {
        this.userLogTopicUserTag = userLogTopicUserTag;
    }

    public String getUserLogConsumerUserGroup() {
        return userLogConsumerUserGroup;
    }

    public void setUserLogConsumerUserGroup(String userLogConsumerUserGroup) {
        this.userLogConsumerUserGroup = userLogConsumerUserGroup;
    }

    public String getUserLogTopicStudentTag() {
        return userLogTopicStudentTag;
    }

    public void setUserLogTopicStudentTag(String userLogTopicStudentTag) {
        this.userLogTopicStudentTag = userLogTopicStudentTag;
    }

    public String getUserLogConsumerStudentGroup() {
        return userLogConsumerStudentGroup;
    }

    public void setUserLogConsumerStudentGroup(String userLogConsumerStudentGroup) {
        this.userLogConsumerStudentGroup = userLogConsumerStudentGroup;
    }

	public String getTaskTopicExamPaperImportTag() {
		return taskTopicExamPaperImportTag;
	}

	public void setTaskTopicExamPaperImportTag(String taskTopicExamPaperImportTag) {
		this.taskTopicExamPaperImportTag = taskTopicExamPaperImportTag;
	}

	public String getTaskConsumerExamPaperImportGroup() {
		return taskConsumerExamPaperImportGroup;
	}

	public void setTaskConsumerExamPaperImportGroup(String taskConsumerExamPaperImportGroup) {
		this.taskConsumerExamPaperImportGroup = taskConsumerExamPaperImportGroup;
	}
    
    
}
